import 'dart:typed_data';

import 'package:audio_waveforms/audio_waveforms.dart';
import 'package:demo001/xunfei/phonetic_dictation/phonetic_dictaion_model/w.dart';
import 'package:demo001/xunfei/recognition_result/recognition_content/recognition_content.dart';
import 'package:get/get_rx/src/rx_types/rx_types.dart';

class TranslateState {
  RxBool isRecorderReady = false.obs; //是否录音已准备
  RxBool isRecording = false.obs; //是否录音中

  RxList<KDXFSentenceModel> kdxfSentenceList = <KDXFSentenceModel>[].obs;
}

class KDXFSentenceModel {
  String content = '';
  String sid = '';
  String transResult = '';
  String audioPath = '';
  Uint8List audioBytes = Uint8List(0);

  ///已经释放好的最终文本
  List<String> isFinalTransString = [];

  ///临时翻译文件
  // String isTempTransString = '';
  List<W> perviousWs = [];
  List<RecognitionContent> contentList = [];
  int audioDuration = 0;
  final PlayerController playerController = PlayerController();
  KDXFSentenceModel({
    required this.content,
    required this.sid,
    required this.transResult,
    required this.audioPath,
    required this.perviousWs,
  });
}
