import 'dart:convert';

import 'package:crypto/crypto.dart';

class XunfeiUtils {
    // 使用SHA-256算法计算HMAC
  static String hmacSha256(String key, String message) {
    var keyBytes = utf8.encode(key); // 将密钥转为字节数组
    var messageBytes = utf8.encode(message); // 将消息转为字节数组
    var hmac = Hmac(sha256, keyBytes); // 创建 HMAC 对象，指定哈希算法和密钥
    var digest = hmac.convert(messageBytes); // 计算消息的哈希
    return base64.encode(digest.bytes); // 返回 base64 编码的哈希值
  }
}